import request from '@/utils/request'

export function listunit(params) {
  return request({
    url: '/api/admin/mission/index',
    method: 'get',
    params:params
  })
}
export function updatemission(params) {
  return request({
    url: '/api/admin/mission/update-status',
    method: 'get',
    params:params
  })
}

export function save(data) {
  return request({
    url: '/api/admin/mission/save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/mission/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/mission/show',
    method: 'get',
    params: {
      id
    }
  })
}

export function unDoTotal(params) {
  return request({
    url: '/api/admin/mission/index_total',
    method: 'get',
    params:params
  })
}

export function saveNotice(data) {
  return request({
    url: '/api/admin/notice/save',
    method: 'post',
    data
  })
}

export function isRead(params) {
  return request({
    url: 'api/admin/notice/read',
    method: 'get',
    params:params
  })
}
